<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fsociety = $_SESSION["society_" . $dbname];
$success = false;
$tourname = $_SESSION['tourname'];
$tourcode = $_SESSION['tourcode'];
$tourcond = "AND tour = '$tourcode'";
// $fseries = $_SESSION["series_" . $dbname];
// $keycond = " and `series`='$fseries'";

$maindb = 'visaform';
$file = "paxform.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `lastname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `surname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `vregnno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `mofano` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `dob` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `panno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `aadhaarno` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `lastname` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `surname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `vregnno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `mofano` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `dob` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `panno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `aadhaarno` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `lastname`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `surname`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `vregnno`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `mofano`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `dob`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `panno`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `aadhaarno`";
}
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y')as vouchdt,DATE_FORMAT(`dob`, '%d-%m-%Y')as dob FROM $maindb  WHERE `vouchno` != ''
                 $tourcond  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [ 'success' => true,
        'value'        => $ctr,
        'keyfld'       => $keyfld,
        'vouchno'      => $r['vouchno'],
        'vouchdt'      => $r['vouchdt'],
        'lastname'     => $r['lastname'],
        'surname'      => $r['surname'],
        'vregnno'      => $r['vregnno'],
        'mofano'       => $r['mofano'],
        'dob'          => $r['dob'],
        'panno'        => $r['panno'],
        'aadhaarno'    => $r['aadhaarno'],
        'action'       => "$file?mode=edit&vouchno=$r[vouchno]"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
